| Home | Libraries | People | FAQ | More

## Class duplicate_option_error

boost::program_options::duplicate_option_error —

## Synopsis

    class duplicate_option_error : public boost::program_options::error {
    public:
      // construct/copy/destruct
      duplicate_option_error(const std::string &);

      // public member functions
    };

## Description

Class thrown when duplicate option description is found.

### `duplicate_option_error` construct/copy/destruct

1.     duplicate_option_error(const std::string & what);

### `duplicate_option_error` public member functions

| Copyright © 2002-2004 Vladimir Prus